﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="FileUpload01.aspx.cs" Inherits="Upload.FileUpload01" %>

<%@ Register Assembly="Infragistics45.Web.v20.1, Version=20.1.20201.24, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics45.Web.jQuery.v20.1, Version=20.1.20201.24, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.EditorControls" TagPrefix="ig" %>


<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="Contents/2021/ig/infragistics.theme.css" rel="stylesheet" />
    <link href="Contents/2021/ig/infragistics.css" rel="stylesheet" />
    <link href="Contents/2021/jquery-ui.min.css" rel="stylesheet" />

    <script src="Contents/2021/modernizr-3.6.0.js"></script>
    <script src="Contents/2021/jquery-3.5.1.min.js"></script>
    <script src="Contents/2021/jquery-ui.min.js"></script>

    <script src="Contents/2021/ig/infragistics.core.js"></script>
    <script src="Contents/2021/ig/infragistics.lob.js"></script>
    <%-- <script src="Contents/2021/ig/infragistics.dv.js"></script>--%>

    <script type="text/javascript" id="igClientScript1">
<!--
        function uploadStartNotice() {

            $("#UploadMessages").dialog({
                resizable: false,
                height: 230,
                width: 600,
                modal: true,
                title: "LR4 Upload ",
                show: {
                    effect: "blind",
                    duration: 700
                },
                hide: {
                    effect: "explode",
                    duration: 700
                },
                open: function (evt, ui) {
                    $(this).closest('.ui-dialog').find('.ui-dialog-titlebar-close').hide();
                    $('.ui-widget-overlay').css({ opacity: 0.0 });
                },
                buttons: {
                    Ok: function () {

                        $(this).dialog("close").dialog('destroy');

                    }
                }
            })


        }; 
        
    function WebUpload1_FileUploaded(eventArgs, infoObject) {
        var msgArr = JSON.parse(infoObject.fileInfo.serverMessage);
        var message; 

        if (msgArr[0] == "success") {
            message = "<strong>Data for LR4 exhibit uploaded successfully </strong><br/> "
                + "Check the data on the next page"
            $("#UploadMessages> p ").html(message);
            uploadStartNotice();

            alert(msgArr[1])
            var loc = msgArr[1];
            // window.location.assign(loc)
        }
        else {
            message = "<strong>There are issues with the source file</strong><br/> "
            $.each(msgArr, function (idx, value) {
                if ( idx > 0 )
                message = message + value + "<br/>";
            });
            $("#UploadMessages> p ").html(message);
            uploadStartNotice();
        }

    }
    var uploadingFlag = false;
    function WebUpload1_FileUploading(eventArgs, infoObject) {
        if (uploadingFlag) {
            uploadingFlag = false;
            return;
        }
        uploadingFlag = true;
        if (!confirm("Continue will override all the existing data for this exhibit")) {
            return false;
        }

    }
        

    // -->
    </script>

    <script type="text/javascript" id="igClientScript3">
<!--
        
function WebUpload1_FileSelecting(eventArgs, infoObject)
{
    var divErr = document.getElementById("uploadErrors");
    divErr.innerHTML = "";
}// -->
    </script><script type="text/javascript" id="igClientScript4">
<!--

function WebUpload1_OnError(eventArgs, infoObject)
{
	//Add code to handle your event here.
    var divErr = document.getElementById("uploadErrors");
    divErr.innerHTML = infoObject.errorMessage;
}// -->
    </script>

</head>
<body>
    <form id="form1" runat="server">
        <div style="height: 179px; width: 400px">

            <ig:WebUpload ID="WebUpload1" runat="server" CssClass="boxShadow-4"
                OnUploadFinishing="WebUpload1_UploadFinishing" OnUploadFinished="WebUpload1_UploadFinished" >
              
                <AllowedExtensions>
                    <ig:FileUploadExtension Extension="xlsx" />
                </AllowedExtensions>
                <Locales LabelAddButton="myAdd" LabelSummaryProgressButtonContinue="myUploadStart" LabelUploadButton="myUpload" />
                <ClientEvents FileUploaded="WebUpload1_FileUploaded" FileUploading="WebUpload1_FileUploading" 
                             FileSelecting  ="WebUpload1_FileSelecting" OnError="WebUpload1_OnError" />
            </ig:WebUpload>
            <div id="uploadErrors" style="color: red;"></div>
            <ig:WebScriptManager ID="WebScriptManager" runat="server">
            </ig:WebScriptManager>
        </div>
        <input id="hdnSiteRootUrl" runat="server" type="hidden" value="Original" />
         <div id="UploadMessages" style='display: none; font-size: 12px' title="~~~~~~*****~~~~~~"  >
                <p><span class="ui-icon ui-icon-alert" style="float:left; margin:12px 12px 20px 0;">
                   </span>****~~~~*******</p>
    </div>
    </form>
</body>
</html>
